{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"ESP partition build",
  "actions":[
    {
      "action":"create_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "size":134217728
      }
    },
    {
      "action":"create_folder_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "full_path_variables":false,
        "full_path":"/EFI"
      }
    },
    {
      "action":"create_folder_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "full_path_variables":false,
        "full_path":"/EFI/BOOT"
      }
    },
    {
      "action":"create_folder_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "full_path_variables":false,
        "full_path":"/EFI/BPSIGN"
      }
    },
    {
      "action":"create_folder_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "full_path_variables":false,
        "full_path":"/EFI/BPFILES"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_DIR$/Build/BlastproofEnv/RELEASE_GCC/X64/BlastMain.efi",
        "full_path_variables":false,
        "full_path":"/EFI/BOOT/BOOTX64.EFI",
        "is_vftm_target":true
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/bootanim/bootanim.bin",
        "full_path_variables":false,
        "full_path":"/EFI/BPFILES/BOOTANIM.BIN"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/fontgen/font.fbm",
        "full_path_variables":false,
        "full_path":"/EFI/BPFILES/FONT.FBM"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen/initfsfp.bin",
        "full_path_variables":false,
        "full_path":"/EFI/BPFILES/INITFSFP.BIN"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen/sshash.bin",
        "full_path_variables":false,
        "full_path":"/EFI/BPFILES/SSHASH.BIN"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/config/bp.cfg",
        "full_path_variables":false,
        "full_path":"/EFI/BPFILES/BP.CFG"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/sign/bp.sig",
        "full_path_variables":false,
        "full_path":"/EFI/BPSIGN/BP.SIG"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/sign/font.sig",
        "full_path_variables":false,
        "full_path":"/EFI/BPSIGN/FONT.SIG"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/sign/initfsfp.sig",
        "full_path_variables":false,
        "full_path":"/EFI/BPSIGN/INITFSFP.SIG"
      }
    },
    {
      "action":"create_file_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "source_path_variables":true,
        "source_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/sign/sshash.sig",
        "full_path_variables":false,
        "full_path":"/EFI/BPSIGN/SSHASH.SIG"
      }
    },
    {
      "action":"export_fat32",
      "args":{
        "key_variables":false,
        "key":"esp",
        "export_path_variables":true,
        "export_path":"%rootcallerfolder%/$EDK2_DIR$/esp.bin",
        "generate_vftm":true,
        "disk_guid_var":"DISK_GUID",
        "efi_part_unique_guid_var":"ESP_PARTITION_UNIQUE_GUID"
      }
    }
  ]
}
